#!/bin/bash
#
#------------------ Set Some Variables

soft='patch-system-tmpfs'
version='7.0'
arch="noarch"
cpu="i686"
packageversion="70.1"

buildir=$(pwd)
srcpkg="$buildir/$soft-$version.tar.gz"
package="$soft-$version-$arch-$packageversion"
PKG="/tmp/$package"

cd $buildir
rm -f $PKG.tgz
rm -rf $PKG
mkdir -p $PKG

mkdir -p $PKG/install
cat << EODESC > $PKG/install/slack-desc
     |-----handy-ruler--------------------------------------------------------|
$soft: $soft adds missing tmpfs line to fstab - reboot needed
$soft:
$soft: This package is a "system patch". A patch is intended to add,  
$soft: repair or remove files and/or parameters on the system. 
$soft: 
$soft: Applies only on : Zenwalk $version
$soft: Category : system fix
$soft: Reboot after install : YES
$soft: Rollback : NO
$soft: 
EODESC


cat << "EODESC" > $PKG/install/doinst.sh
sed -i '/\/dev\/shm/d' etc/fstab
printf "%-16s %-16s %-11s %-16s %-3s %s\n" "tmpfs" "/dev/shm" "tmpfs" "nodev,nosuid,noexec,rw" "0" "0" >> etc/fstab
cat etc/fstab
EODESC


install -D -m 644 -o root -g root $buildir/build-$soft.sh $PKG/usr/src/$soft-$version/build-$soft.sh

# Packaging

cd $PKG
makepkg -l y -c n $PKG.txz


cd $buildir
# rm -rf $PKG
cat $PKG/install/slack-desc
